// part of KSUDOKU - by Francesco Rossi <redsh@email.it> 2005
#include "knewdlg.h"
#include <qlayout.h>

#include <kapp.h>
#include <kdialog.h>
#include <kmessagebox.h>


KNewDlg::KNewDlg(bool dub2)
 : KDialog()
{
    QGridLayout *top_layout = new QGridLayout(this);
    top_layout->setAutoAdd(true);
	dub = dub2;
	success = 0;
	order = 9;
	difficulty=1;
	
		
	btnsDifficulty = new QVButtonGroup("Difficulty", this);
	btnsOrder      = new QVButtonGroup("Order", this);
	
	if(!dub)
	{
		rbDifficulty[0] = new QRadioButton("Easy", btnsDifficulty, "easy");
		rbDifficulty[1] = new QRadioButton("Medium", btnsDifficulty, "medium");
		rbDifficulty[1]->setChecked(true);
		rbDifficulty[2] = new QRadioButton("Hard", btnsDifficulty, "hard");
		rbDifficulty[3] = new QRadioButton("Hardest", btnsDifficulty, "hardest");
	}


	rbOrder[0]      = new QRadioButton("9", btnsOrder, "9");
	rbOrder[0]->setChecked(true);
	rbOrder[1]      = new QRadioButton("16", btnsOrder, "16");

	btnsDifficulty->show();
	btnsOrder->show();	
	
	btnOK = new QPushButton("Generate!", this);
	btnOK->show();
	connect(btnOK, SIGNAL(clicked()), this, SLOT(slotOK()));
  
	btnCancel = new QPushButton("Cancel", this);
	btnCancel->show();
	connect(btnCancel, SIGNAL(clicked()), this, SLOT(slotCancel())); 
	
	
	
}

void KNewDlg::slotOK()
{
	success = 1;
	
	if(!dub)
		for(int i=0; i<4; i++)
		if(rbDifficulty[i]->isChecked())	
			difficulty = 2-i;
			
	if(rbOrder[1]->isChecked())
	{
		order = 16;
		KMessageBox::information(this, "This operation could take a minute.");
		}
	else
		order = 9;
		
	close();
}

void KNewDlg::slotCancel()
{
	success = 0;
	close();
}

KNewDlg::~KNewDlg()
{
	if(!dub)
	{
		delete rbDifficulty[0];
		delete rbDifficulty[1];
		delete rbDifficulty[2];
		delete rbDifficulty[3];
	}
	delete rbOrder[0];
	delete rbOrder[1];
	
	delete btnsDifficulty;
	delete btnsOrder;
	delete btnOK;
	delete btnCancel;
}



